## visad.cluster
Class DefaultNodeRendererAgent

    java.lang.Object
      visad.cluster.NodeAgent
          visad.cluster.DefaultNodeRendererAgent

All Implemented Interfaces:
  Runnable, Serializable

public class DefaultNodeRendererAgent
extends NodeAgent

DefaultNodeRendererAgent is the class for agents sent from client to nodes to return VisADSceneGraphObjects from NodeRendererJ3Ds.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.cluster.NodeAgent
`contact, message`

Constructor Summary
`DefaultNodeRendererAgent(RemoteClientAgent source, String name, ConstantMap[] cms)`

Method Summary
`void` `run()`

Methods inherited from class visad.cluster.NodeAgent
`getAgentThread, getMessage, getObject, getRemoteAgentContact, onlyOne, sendToClient, sendToNode, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNodeRendererAgent

    public DefaultNodeRendererAgent(RemoteClientAgent source,
                                    String name,
                                    ConstantMap[] cms)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `NodeAgent`